.text, .text2, .title {
  /* Propiedades de texto comunes */
  width: 100%;
  margin: 0 0 9px 0;
  font-size: 11pt;
  font-family: "Times New Roman", Times, serif;
  letter-spacing: -0.3px;
}

/* Propiedades de texto específicas */
.text { 
  max-width: 1000px; 
  color: black; 
}
.text2 { 
  max-width: 800px; 
  color: white; 
}
.title { 
  max-width: 700px; 
  color: black; 
}

.container {
  padding: 2px;
}

.img-container > img:hover {
  -webkit-transform: scale(1.5);
  transform: scale(1.5); /* agranda la imagen al doble en hover */
  display: block;
  margin-left: auto;
  margin-right: auto; /* centra la imagen dentro del contenedor */
  transform-origin: bottom center; /* el pivote de zoom */
}

img.himages {
  vertical-align: top; /* alinea la imagen a la parte superior del texto adyacente */
}

.imagesection {
  width: 100%;
  max-width: 1200px;
  margin: 0 0 2px 0;
}

.videos-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 3px;
  justify-content: flex-start;
}

#desktop {
  margin-left: 28vw;
}

#showBg {
  color: #00e31a;
  position: fixed;
  font-size: 20pt !important; 
  bottom: 10px;
  left: 10px;
  text-decoration: none;
}

.watermark {
  color: #00e31a;
  position: fixed;
  font-size: 8pt;
  bottom: 10px;
  left: 60px;
}

#star-wrapper {
  position: fixed;
  bottom: 10px;
  left: 50%;
  text-align: left;
}

#Video {
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  z-index: -1;
}

video::-webkit-media-controls {
  display: none;
}

#ryatvideo {
  width: 100%;
  max-width: 562px;
}

#fwvideo {
  width: 100%;
}

#clock {
  position: fixed;
  bottom: 8px;
  right: 16px;
  color: black;
  font-size: 11pt;
  font-family: "Times New Roman", Times, serif;
  letter-spacing: -0.3px;
}

.mode {
  position: fixed;
  bottom: 8px;
  right: 69px;
  color: black;
  font-size: 11pt;
  font-family: "Times New Roman", Times, serif;
  padding: 0;
  margin: 0;
  letter-spacing: -0.3px;
  cursor: pointer;
}

.mode:hover {
  color: white;
}

body {
  background-color: #fcfcfc;
}

a, .styleone, .styletwo, .stylethree {
  font-family: "Times New Roman", Times, serif;
  font-size: 11pt;
}

a {
  color: black;
  letter-spacing: -0.3px;
}

a:visited {
  color: black;
  letter-spacing: -0.3px;
}

a:hover {
  color: white;
  letter-spacing: -0.3px;
}

.styleone {
  font-size: 11pt;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}

.styleone:link,
.styleone:visited {
  color: black;
  letter-spacing: -0.3px;
  text-decoration: none;
}

.styleone:hover {
  color: white;
  letter-spacing: -0.3px;
  text-decoration: none;
}

.styletwo:link,
.styletwo:visited {
  color: white;
  letter-spacing: -0.3px;
}

.styletwo:hover {
  color: black;
  letter-spacing: -0.3px;
}

.stylethree:link,
.stylethree:visited {
  color: white;
  letter-spacing: -0.3px;
  text-decoration: none;
}

.stylethree:hover {
  color: black;
  letter-spacing: -0.3px;
  text-decoration: none;
}

::selection {
  background: #00e31a;
  color: white;
  text-shadow: 1px 1px 1px white, 1px -1px 1px white, -1px 1px 1px white, -1px -1px 1px white;
}

.vhs-img {
  width: 20px;
  height: auto;
  margin: 20px auto;
}

video::-webkit-media-controls-panel {
  background-image: none !important;
  filter: brightness(0.4);
}

body.bg-active {
  background-image: url('assets/IDphoto.jpg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-attachment: fixed;
}

#downloadBtn {
  font-family: "Times New Roman", Times, serif;
  font-size: 11pt;
  letter-spacing: -0.3px;
  background: none;
  border: none;
  color: black;
  text-decoration: underline;
  cursor: pointer;
  padding: 0;
}

#lang-btn {
  font-family: "Times New Roman", Times, serif;
  font-size: 11pt;
  letter-spacing: 1px;
  background: none;
  /* Corregido: sintaxis de borde correcta */
  border: 1px dotted black; 
  color: black;
  text-decoration: none;
  cursor: pointer;
  padding: 0;
}

#home-link {
  text-decoration: none;
}

#tabloid {
  position: fixed;
  top: 10px;
  right: 10px;
}

#info {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  white-space: pre-wrap;
  padding: 1em;
  max-width: 400px;
  text-align: left;
}

#eraserSize {
  -webkit-appearance: none;
  appearance: none;
  width: 100px;
  height: 3px;
  background: #00e31a;
  border-radius: 0px;
  cursor: pointer;
}

#eraserSize::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 10px;
  height: 10px;
  background: #00e31a;
  transition: 0s;
}


#eraserSize::-moz-range-thumb {
  width: 10px;
  height: 10px;
  background: #00e31a;
  transition: 0s;
}

.tabloid-bg {
    background-image: url('assets/tabloid02.png');
    background-size: cover; /* Asegura que la imagen cubra todo el viewport */
    background-repeat: no-repeat; /* Evita que la imagen se repita */
    background-position: center center; /* Centra la imagen */
    background-attachment: fixed; /* AÑADIR ESTO: Fija la imagen al viewport */
    /* overflow: hidden; */
}

/* Responsive adjustments */
@media (max-width: 768px) {
  .text, .text2, .title, .imagesection {
    font-size: 10pt;
    max-width: 95%;
  }

  #ryatvideo, #fwvideo {
    width: 100%;
  }

  #clock, .mode {
    font-size: 10pt;
    bottom: 5px;
    right: 10px;
  }

  #frog-text {
    top: 12px;
    max-width: 768px;
  }

} 
